*-------------------------------------------------------*
*   More than Computers                                 *
*   Clipper Include Files                               *
*                                                       *
*   GETS.CH                                             *
*   Define get system constants and UDCS                *
*                                                       *
*   Written by   Jim Senkler                            *
*                January 1991                           *
*                                                       *
*-------------------------------------------------------*---------------*
*        Modification History                                           *
*                                                                       *
*-----------------------------------------------------------------------*

*       1st order subscripts for get system array
*           e.g. a_gets[GT_SYS]

#define  GT_SAYS     1        // saylist sub-array
#define  GT_GETS     2        // getlist sub-array


*       2nd order subscripts for get system say sub-array
*           e.g. a_gets[GT_SAY,ix,SY_COL]

#define  SY_ROW      1        // row
#define  SY_COL      2        // column
#define  SY_PROMPT   3        // prompt


*       UDCs ADD_GET() function
*  Note:  if these are changed, change them also in WINDOW.CH


#command ADD GET @ <row>, <col> SAY <sayxpr> TO <a_gets>                       ;
=>                                                                             ;
         add_get(<a_gets>, <row>, <col>, <sayxpr>)


#command ADD GET @ <row>, <col> GET <var> TO <a_gets> [PICTURE <pic>]          ;
         [NAME <varname>] [VALID <valid>] [AVALID] <avalid>                    ;
=>                                                                             ;
    add_get(<a_gets>, <row>, <col>, ,                                          ;
          _GET_(<var>, <"var">, <pic>, <{valid}>,), <varname>, <"avalid">)


#command ADD GET @ <row>, <col> SAY <sayxpr> GET <var> TO <a_gets>             ;
         [PICTURE <pic>] [NAME <varname>] [VALID <valid>]                      ;
         [AVALID <avalid>]                                                     ;
=>                                                                             ;
         add_get(<a_gets>, <row>, <col>, <sayxpr>,                             ;
          _GET_(<var>, <"var">, <pic>, <{valid}>,), <varname>, <"avalid">)
